<cfparam name="action" default="">
<cfswitch expression="#ListFirst(action, ".")#">
	<cfcase value="slideshow">
		<cfset tmpl_title = "1ssBlog::. Slide Show">
		<cfset tmpl_file = "slideshow.cfm">
	</cfcase>
	<cfcase value="slideshows">
		<cfset tmpl_title = "1ssBlog::. Slide Shows">
		<cfset tmpl_file = "slideshows.cfm">
	</cfcase>
	<cfcase value="login">
		<cfset tmpl_title = "1ssBlog::. Login">
		<cfset tmpl_file = "login.cfm">
	</cfcase>
	<cfcase value="loginprocess">
		<cfinclude template="loginprocess.cfm">
		<cfset tmpl_title = "1ssBlog::. Login">
		<cfset tmpl_file = "login.cfm">
	</cfcase>
	<cfcase value="logout">
		<cfinclude template="logout.cfm">
	</cfcase>
	<cfcase value="cache">
		<cfinclude template="cache/_manager.cfm">
	</cfcase>
	<cfcase value="admins">
		<cfinclude template="admins/_manager.cfm">
	</cfcase>
	<cfcase value="skins">
		<cfinclude template="skins/_manager.cfm">
	</cfcase>
	<cfcase value="links">
		<cfinclude template="links/_manager.cfm">
	</cfcase>
	<cfcase value="triggers">
		<cfinclude template="triggers/_manager.cfm">
	</cfcase>
	<cfcase value="smiles">
		<cfinclude template="smiles/_manager.cfm">
	</cfcase>
	<cfcase value="ping">
		<cfset tmpl_title = "Ping">
		<cfinclude template="ping.cfm">
		<cfoutput>OK</cfoutput>
		<cfabort>
	</cfcase>
	<cfcase value="staticPages">
		<cfinclude template="staticPages/_manager.cfm">
	</cfcase>
	<cfcase value="mailSubscribers">
		<cfinclude template="mailSubscribers/_manager.cfm">
	</cfcase>
	<cfcase value="subscribers">
		<cfinclude template="subscribers/_manager.cfm">
	</cfcase>
	<cfcase value="comments">
		<cfinclude template="comments/_manager.cfm">
	</cfcase>
	<cfcase value="categories">
		<cfinclude template="categories/_manager.cfm">
	</cfcase>
	<cfcase value="managePods">
		<cfinclude template="managePods/_manager.cfm">
	</cfcase>
	<cfcase value="entries">
		<cfinclude template="entries/_manager.cfm">
	</cfcase>
	<cfcase value="refreshCache">
		<cfparam name="type" default="refreshApp">
		<cfswitch expression="#type#">
			<cfcase value="refreshApp">
				<cfset tmpl_title = "Refresh App Cache">
			</cfcase>
			<cfcase value="refreshPosts">
				<cfset tmpl_title = "Refresh Posts Cache">
			</cfcase>
			<cfcase value="refreshPods">
				<cfset tmpl_title = "Refresh Pods Cache">
			</cfcase>
			<cfcase value="refreshBadWords">
				<cfset tmpl_title = "Refresh Bad Words Cache">
			</cfcase>
			<cfcase value="refreshBadIPs">
				<cfset tmpl_title = "Refresh Bad IPs Cache">
			</cfcase>
			<cfcase value="refreshSmiles">
				<cfset tmpl_title = "Refresh Smiles Cache">
			</cfcase>
			<cfcase value="refreshStaticPages">
				<cfset tmpl_title = "Refresh Static Pages Cache">
			</cfcase>
			<cfdefaultcase>
				<cfset tmpl_title = "Refresh App Cache">
				<cfset type = "refreshApp">
			</cfdefaultcase>
		</cfswitch>
		<cfset tmpl_file = "refreshCache.cfm">
	</cfcase>
	<cfcase value="settings">
		<cfinclude template="settings/_manager.cfm">
	</cfcase>
	<cfdefaultcase>
		<cfset tmpl_title = "Home">
		<cfset tmpl_file = "_home.cfm">
	</cfdefaultcase>
</cfswitch>