<cfparam name="q" default="">
<cfparam name="admin_id" default="0">
<cfset admin_id = Val(admin_id)>

<cfquery name="getEntries" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
	Select e.entry_id
	From onessBlog_entries e
	Where e.posted_by = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#admin_id#">
</cfquery>

<cfif getEntries.RecordCount>
	<cfset entries = ValueList(getEntries.entry_id, ",")>
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		delete 
		From onessBlog_categories
		Where cat_id in (
					Select r.cat_id
					From onessBlog_rel_entry_category r
					Where r.entry_id in (#entries#)
					)
	</cfquery>

	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		delete
		From onessBlog_entries
		Where entry_id in (#entries#)
	</cfquery>

	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Delete From onessBlog_rel_entry_entry
		Where entry_id1 in (#entries#)
			or entry_id2 in (#entries#)
	</cfquery>

	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Delete From onessBlog_comments
		Where entry_id in (#entries#)
	</cfquery>

	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Delete From onessBlog_rel_entry_category
		Where entry_id in (#entries#)
	</cfquery>
</cfif>
<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
	Delete From onessBlog_admins
	Where admin_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#admin_id#">
</cfquery>

<cfset trigEntry = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigEntry")>
<cfif Len(trigEntry)>
	<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigEntry#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
</cfif>
<cfset trigComment = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigComment")>
<cfif Len(trigComment)>
	<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigComment#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
</cfif>

<cflocation addtoken="No" url="index.cfm?#URLDecode(q)#">
