<cfparam name="q" default="">
<cfparam name="id" default="0">
<cfparam name="name" default="">
<cfparam name="email" default="">
<cfparam name="link" default="">
<cfparam name="comment" default="">
<cfparam name="moderated" default="0">
<cfparam name="subscribe" default="0">
<cfparam name="dateAdded" default="#Now()#">
<cfparam name="oldModerated" default="1">
<cfparam name="subject" default="">
<cfparam name="alias" default="">
<cfset id = Val(id)>

<cfset errMsg = "">

<cfset name = Left(Trim(name), 50)>
<cfset email = Left(Trim(email), 150)>
<cfset link = Left(Trim(link), 150)>

<cfif name eq "">
	<cfset errMsg = ListAppend(errMsg, "Please enter name", "|")>
</cfif>
<cfif Len(email) and not IsValid("email", Left(email, 150))>
	<cfset errMsg = ListAppend(errMsg, "Please enter valid Email Address", "|")>
</cfif>
<cfif Len(link) and not IsValid("URL", Left(link, 150))>
	<cfset errMsg = ListAppend(errMsg, "Please enter valid Website", "|")>
</cfif>
<cfif Len(Trim(comment)) eq 0>
	<cfset errMsg = ListAppend(errMsg, "Please enter your comment", "|")>
</cfif>
<cfif not IsValid("date", dateAdded)>
	<cfset errMsg = ListAppend(errMsg, "Please enter a valid date", "|")>
</cfif>

<cfif errMsg eq "">
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Update onessBlog_comments
		Set
			name = '#name#',
			email = '#email#',
			link = '#link#',
			comment = '#comment#',
			moderated = #moderated#,
			subscribe = #subscribe#,
			dateAdded = '#dateAdded#'
		Where id = #id#
	</cfquery>
	<cfif oldModerated eq 0 and moderated eq 1>
		<cfset trigComment = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigComment")>
		<cfif Len(trigComment)>
			<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigComment#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
		</cfif>
		<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#entry_id#/#alias#">
		<cfset subj = "Comment added to Blog: #application.title# / Entry: #subject#">
		<cfsavecontent variable="msg">
		<cfoutput>
Blog Entry:       #subject#
Comment Added On: #DateFormat(dateAdded, "mmm dd, yyyy")# / #TimeFormat(dateAdded, "hh:mm:ss tt")#
Comment Added By: #name# <cfif Len(link)>(#link#)</cfif>
URL:              #lnk#

#comment#


------------------------------------------------------------
This blog powered by 1ssBlog
Created by Ed Tabara (1smartsolution@gmail.com)
Unsubscribe: #application.burl#/index.cfm?action=posts.unsubscribe.entry&id=#entry_id#&email=#HTMLEditFormat(email)#
			</cfoutput>
		</cfsavecontent>

		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPostEmails" datasource="#application.dsn#">
			Select distinct email as semail, Max(tkn) as tkn
			From onessBlog_comments
			Where id = #ins.id#
				and subscribe = 1
				and email <> '#email#'
		</cfquery>
		<cfloop query="getPostEmails">
			<cfif application.mailserver is "">
				<cfmail to="#semail#" from="#email#" subject="#subj#">#Trim(msg)#&tkn=#tkn#</cfmail>
			<cfelse>
				<cfmail to="#semail#" from="#email#" subject="#subj#"
					server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#Trim(msg)#&tkn=#tkn#</cfmail>
			</cfif>
		</cfloop>
	</cfif>
	<cflocation addtoken="No" url="index.cfm?#URLDecode(q)#">
</cfif>