<!---
<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getcomments">
	Select c.id, c.entry_id, c.name, c.dateAdded, c.moderated, e.subject, c.comment
	From onessBlog_comments c, onessBlog_entries e
	Where c.entry_id = e.entry_id
	Order by c.dateAdded desc
</cfquery>
--->
<cfsilent>
	<cfparam name="from_record" default="1">
	<cfset found_records = 0>
	<cfif from_record lte 0>
		<cfset from_record = 1>
	</cfif>
	
	<cfstoredproc datasource="#application.dsn#" procedure="sp_getAllComments" username="#application.dsnUsername#" password="#application.dsnPassword#">
		<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#from_record#" dbvarname="@from_record">
		<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="20" dbvarname="@total_records">
		<cfprocparam cfsqltype="CF_SQL_INTEGER" type="Out" dbvarname="@found_records" variable="found_records">
		
		<cfprocresult resultset="1" name="getComments">
	</cfstoredproc>
</cfsilent>
<cfsavecontent variable="navigator">
	<cfif getComments.RecordCount>
		<cfif found_records gt application.postNumb>
			<cfif from_record gt found_records>
				<cfset from_record = 1>
			</cfif>
			<cfoutput><div id="navID" align="center">#application.funcObj.paging(found_records, 20, from_record, "index.cfm?action=comments", "from_record", 3, 15, "entries")#</div><br /></cfoutput>
		</cfif>
	</cfif>
</cfsavecontent>
<cfoutput>
	#navigator#<br>
	<br>
	<strong>TOTAL comments: #found_records#</strong>
</cfoutput>
<table align="center" style="border: 1px solid black;">
	<tr>
		<th style="border-bottom: 1px solid black;">Name</th>
		<th style="border-bottom: 1px solid black;">Entry</th>
		<th style="border-bottom: 1px solid black;">Posted</th>
		<th style="border-bottom: 1px solid black;">Comment</th>
		<th style="border-bottom: 1px solid black;">Moderated</th>
		<th style="border-bottom: 1px solid black;" width="1%"></th>
	</tr>
	<cfoutput query="getcomments">
		<tr<cfif CurrentRow mod 2> bgcolor="##f6f6f6"<cfelse> bgcolor="##ffffff"</cfif>>
			<td valign="top">#name#</td>
			<td valign="top">#subject#</td>
			<td valign="top">#DateFormat(dateAdded, "mmm dd, yyyy")# #TimeFormat(dateAdded, "hh:mm:ss tt")#</td>
			<td valign="top">#comment#</td>
			<td valign="top"><a href="javascript:doConfirm('index.cfm?action=comments.lock&id=#id#&q=#URLEncodedFormat(URLEncodedFormat(cgi.query_string))#', 'Are you sure to change status of this item?')">#YesNoFormat(Val(moderated))#</a></td>
			<td valign="top" nowrap>
				<a href="index.cfm?action=comments.edit&id=#id#&q=#URLEncodedFormat(URLEncodedFormat(cgi.query_string))#"><img src="images/icons/edit_alt.gif" alt="Edit" title="Edit" height="15" border="0" /></a>
				&nbsp;|&nbsp;
				<a href="javascript:doConfirm('index.cfm?action=comments.delete&id=#id#&entry_id=#entry_id#&q=#URLEncodedFormat(URLEncodedFormat(cgi.query_string))#', 'Are you sure to delete this comment?')"><img src="images/icons/grid_delete.gif" alt="Delete" width="11" height="15" border="0" /></a>
			</td>
		</tr>
	</cfoutput>
</table>
<cfoutput>#navigator#</cfoutput>
