<cfsetting enablecfoutputonly=true>
<cfprocessingdirective pageencoding="utf-8">
<!---
	Name : 			tagsCloud.cfm
	Author : 		Ed Tabara
	Created : 		April 27, 2008
--->

	<cfset catTags = StructNew()>
	<cfquery name="tags2" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select entries_num AS tagCount, cat_name as tag, cat_id as categoryid, cat_alias
		From onessBlog_categories
	</cfquery>
	<cfloop query="tags2">
		<cfset catTags[tag] = StructNew()>
		<cfset catTags[tag].tagCount = tagCount>
		<cfset catTags[tag].categoryid = categoryid>
		<cfset catTags[tag].cat_alias = cat_alias>
	</cfloop>
	
	<cfquery name="getC" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select subject as title
		From onessBlog_entries
		Where posted <= GetDate()
	</cfquery>

	<cfset wordQry = QueryNew('word', 'VarChar') />
	<cfloop query="tags2">
		<cfloop index="ijk" from="1" to="#catTags[tag].tagCount#">
			<cfset QueryAddRow(wordQry) />
			<cfset QuerySetCell(wordQry, 'word', LCase(Trim(tag))) />
		</cfloop>
	</cfloop>
	<cfloop query="getC">
		<cfset string = ReReplace(title, '(\.|"(?=\w))', '', 'All') />
		<cfset wordAry = ListToArray(string, '#Chr(10)##Chr(13)##Chr(32)#') />
		<cfloop from="1" to="#arrayLen(wordAry)#" index="i">
			<cfset wrd = ReReplace(wordAry[i],'[",]$','')>
			<cfif Val(wrd) neq wrd and Len(wrd) gt 3 and not ListFindNoCase("from,with,some,done,good", wrd, ",")>
				<cfset QueryAddRow(wordQry) />
				<cfset QuerySetCell(wordQry, 'word', LCase(Trim(wrd))) />
			</cfif>
		</cfloop>
		<cfquery name="tags" dbtype="query" maxrows="30">
			Select word as tag, count(*) as tagCount
			From wordQry
			Group by word
			Order by tagCount desc
		</cfquery>
	</cfloop>
	<cfset wordQry = QueryNew('tag,tagCount,fontSize,fontWeight', 'VarChar,Integer,Integer,Integer') />
	<cfloop query="tags">
		<cfset QueryAddRow(wordQry) />
		<cfset QuerySetCell(wordQry, 'tag', tag) />
		<cfset QuerySetCell(wordQry, 'tagCount', tagCount) />
		<cfset QuerySetCell(wordQry, 'fontSize', 42 - (CurrentRow mod 31)) />
		<cfset QuerySetCell(wordQry, 'fontWeight', 970 - (CurrentRow-1)*30) />
	</cfloop>
	<cfquery name="tags" dbtype="query">
		Select *
		From wordQry
		Order by tag asc
	</cfquery>
<cfscript>
/**
 * Returns a completely random color. Beautiful, isn't it?
 * Version 2 by Raymond Camden
 * 
 * @return Returns a string. 
 * @author Nathan Strutz (nathans@dnsfirm.com) 
 * @version 2, May 13, 2003 
 */
function randomColor() {
	var redColor = formatBaseN(randRange(0,255),16);
	var greenColor = formatBaseN(randRange(0,255),16);
	var blueColor = formatBaseN(randRange(0,255),16);
	
	if(len(redColor) is 1) redColor = "0" & redColor;
	if(len(greenColor) is 1) greenColor = "0" & greenColor;
	if(len(blueColor) is 1) blueColor = "0" & blueColor;

	return "##" & redColor & greenColor & blueColor;
}
</cfscript>
	<cfif IsDefined("tags") and tags.RecordCount>
		<cfoutput>
			<style>
				/* Start Tag Cloud CSS */
				##cloud {padding:1px; line-height:30px;text-align:center;}
				##cloud a {text-decoration:none;padding:0px;}
				/* End Tag Cloud CSS */
			</style>
			<cfloop query="tags">
				<cfif StructKeyExists(catTags, tag)>
					<span id="cloud"><a href="index.cfm/action:posts.byCat/cat_id:#catTags[tag].categoryid#/#catTags[tag].cat_alias#" style="font-size:#fontSize#px; font-weight:#fontWeight#; color: #randomColor()#">#lcase(tag)# </a></span>
				<cfelse>
					<span style="font-size:#fontSize#px; font-weight:#fontWeight#; color: #randomColor()#">#lcase(tags.tag)# </span>
				</cfif>
			</cfloop>
		</cfoutput>
	</cfif>
<cfsetting enablecfoutputonly=false>

