<cfparam name="errMsg" default="">
<cfparam name="useCaptcha" default="0">
<cfparam name="showRelatedEntries" default="0">
<cfparam name="useGravatar" default="0">
<cfparam name="entrySmilesConverter" default="0">
<cfparam name="commentSmilesConverter" default="0">
<cfparam name="showSocialTools" default="0">
<cfparam name="allowPrinting" default="0">
<cfparam name="popularity" default="0">
<cfparam name="rating" default="0">
<cfparam name="statCounter" default="0">
<cfparam name="googleAnalytics" default="0">

<cfif statCounter eq 1 and (Trim(statCounterProject) eq "" or Trim(statCounterSecurity) eq "" or Trim(statCounterPartition) eq "" or Trim(statCounterDomainHeader) eq "")>
	<cfset errMsg = ListAppend(errMsg, "No StatCounter Project ID and Security ID specified", "|")>
</cfif>
<cfif googleAnalytics eq 1 and Trim(googleAnalyticsUACCT) eq "">
	<cfset errMsg = ListAppend(errMsg, "No Google Analytics UACCT specified", "|")>
</cfif>

<cfif Len(Trim(errMsg)) eq 0>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "showRelatedEntries", showRelatedEntries)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "title", title)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "burl", burl)>
	<cfset pathPrefix = ReplaceNoCase(burl, "http://", "", "All")>
	<cfset pathPrefix = ReplaceNoCase(pathPrefix, "https://", "", "All")>
	<cfif ListLen(pathPrefix, "/") gt 1>
		<cfset pathPrefix = ListDeleteAt(pathPrefix, 1, "/")>
		<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "pathPrefix", Replace(pathPrefix, "/", ".", "All"))>
	</cfif>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "description", description)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "keywords", keywords)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlUserName", urlUserName)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlPassword", urlPassword)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "postNumb", postNumb)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "commentsNumb", commentsNumb)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "postLen", postLen)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "offset", offset)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "locale", locale)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "email", email)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailserver", mailserver)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailusername", mailusername)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailpassword", mailpassword)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsn", dsn)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnUsername", dsnUsername)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnPassword", dsnPassword)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dbType", dbType)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "mechanism", cacheMechanism)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "topEntries", topEntries)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "periodAccesses", periodAccesses)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "periodAccessesType", periodAccessesType)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "useCaptcha", useCaptcha)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "useGravatar", useGravatar)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "entrySmilesConverter", entrySmilesConverter)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "commentSmilesConverter", commentSmilesConverter)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "allowPrinting", allowPrinting)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "popularity", popularity)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "rating", rating)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounter", statCounter)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterProject", statCounterProject)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterSecurity", statCounterSecurity)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterPartition", statCounterPartition)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterDomainHeader", statCounterDomainHeader)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "googleAnalytics", googleAnalytics)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "googleAnalyticsUACCT", googleAnalyticsUACCT)>
	<cfset SetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "showSocialTools", showSocialTools)>
	
	<cffile action="WRITE" file="#request.path2site#\ini\badIPs.ini.cfm" output="#badIPs#">
	<cffile action="WRITE" file="#request.path2site#\ini\badWords.ini.cfm" output="#badWords#">
	<cffile action="WRITE" file="#request.path2site#\ini\pingURLs.ini.cfm" output="#pingURLs#">
	
	<cflocation addtoken="No" url="index.cfm?action=settings">
</cfif>

