<cfsilent>
	<cfparam name="id" default="0">
	<cfparam name="errMsg" default="">
	
	<cfif errMsg eq "">
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getSmiles" datasource="#application.dsn#">
			Select id, smile, smile_image, description, is_active
			From onessBlog_smiles
			Where id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
		</cfquery>
		<cfparam name="smile" default="#getSmiles.smile#">
		<cfparam name="smile_image" default="#getSmiles.smile_image#">
		<cfparam name="description" default="#getSmiles.description#">
		<cfparam name="is_active" default="#getSmiles.is_active#">
	</cfif>
	<cfdirectory action="LIST" directory="#ExpandPath('../images/smiles')#" name="getImages">
</cfsilent>
<cfoutput>
	<cfif errMsg neq "">
		<div class="err">
			<cfloop index="err" list="#errMsg#" delimiters="|">
				<li>#err#</li>
			</cfloop>
		</div>
	</cfif>
	<h3>Note: The smile image you want to use should be added to the images/smiles folder of your blog.</h3>
	<form action="index.cfm" method="post">
		<cfif Val(id) eq 0>
			<input type="Hidden" name="action" value="smiles.save">
		<cfelse>
			<input type="Hidden" name="id" value="#Val(id)#">
			<input type="Hidden" name="action" value="smiles.update">
		</cfif>
		<table border="0" cellpadding="2" cellspacing="1">
			<tr>
				<td align="right"><label for="is_active"><strong>Active:</strong></label></td>
				<td><input type="Checkbox" id="is_active" name="is_active" value="1"<cfif is_active eq 1> checked</cfif>></td>
			</tr>
			<tr>
				<td align="right"><label for="smile"><strong>ASCII Code:</strong></label></td>
				<td><input type="Text" id="smile" name="smile" value="#smile#" maxlength="5" size="6"></td>
			</tr>
			<tr>
				<td align="right"><label for="smile_image"><strong>Smile Image:</strong></label></td>
				<td>
					<Select id="smile_image" name="smile_image">
						<option value="">
						<cfloop query="getImages">
							<option value="#name#"<cfif name eq smile_image> selected</cfif>> #name# 
						</cfloop>
					</select>
				</td>
			</tr>
			<tr>
				<td align="right"><label for="description"><strong>Description:</strong></label></td>
				<td><input type="Text" id="description" name="description" value="#description#" maxlength="250"></td>
			</tr>
			<tr>
				<td align="right" colspan="2"><input type="Submit" value="    Save    "></td>
			</tr>
		</table>
	</form>
</cfoutput>