<cfsilent>
	<cfset trigComment = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigComment")>
	<cfset trigEntry = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigEntry")>
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPods" datasource="#application.dsn#">
		Select id, podTitle
		From onessBlog_pods
		Order by podSource asc
	</cfquery>
</cfsilent>
<cfoutput>
	<h3>This tool will trigger selected pods refresh for the given action.</h3>
	<form action="index.cfm" method="post">
		<input type="Hidden" name="action" value="triggers.update">
		<table border="0" cellpadding="2" cellspacing="1">
			<tr>
				<td align="right" valign="top"><label for="trigComment"><strong>Add/Delete/Approve Comment:</strong></label></td>
				<td>
					<Select name="trigComment" id="trigComment" multiple size="10">
						<cfloop query="getPods">
							<option value="#id#"<cfif ListFind(trigComment, id, ",")> selected</cfif>>#podTitle#
						</cfloop>
					</select>
				</td>
			</tr>
			<tr>
				<td align="right" valign="top"><label for="trigEntry"><strong>Delete entry or entry become live:</strong></label></td>
				<td>
					<Select name="trigEntry" id="trigEntry" multiple size="10">
						<cfloop query="getPods">
							<option value="#id#"<cfif ListFind(trigEntry, id, ",")> selected</cfif>>#podTitle#
						</cfloop>
					</select>
				</td>
			</tr>
			<tr>
				<td align="right" colspan="2">
					<input type="Submit" value="    Save    ">
				</td>
			</tr>
		</table>
	</form>
</cfoutput>