<cfsilent>
	<cferror type="EXCEPTION" exception="any" template="_exception.cfm">

	<cfset request.requestAddOns = "">

	<!--- for blogCFC links compatibility --->
	<cfmodule template="getmode.cfm" r_params="params"/>
	<cfif Len(url.mode)>
		<cfif url.mode eq "alias">
			<cfset action = "posts.byADM">
			<cfset byAlias = params.byAlias>
			<cfset byDay = params.byDay>
			<cfset byMonth = params.byMonth>
			<cfset byYear = params.byYear>
		<cfelseif url.mode eq "day">
			<cfset action = "posts.byADM">
			<cfset byAlias = "">
			<cfset byDay = params.byDay>
			<cfset byMonth = params.byMonth>
			<cfset byYear = params.byYear>
		<cfelseif url.mode eq "month">
			<cfset action = "posts.byADM">
			<cfset byAlias = "">
			<cfset byDay = "">
			<cfset byMonth = params.byMonth>
			<cfset byYear = params.byYear>
		<cfelseif url.mode eq "cat">
			<cfset action = "posts.byCat">
			<cfset cat_id = params.byCat>
		</cfif>
	<cfelse>
		<cfif ListLen(cgi.path_info, "/") gt 0>
			<cfset urlFile = ListGetAt(cgi.path_info, 1, '/')>
			<cfif CompareNoCase(Right(urlFile, 4), ".cfm") eq 0>
				<cfset urlStr = RemoveChars(cgi.path_info, 1, FindNoCase("/#urlFile#/", cgi.path_info, 1)+Len(urlFile)+1)>
			<cfelse>
				<cfset urlStr = cgi.path_info>
			</cfif>
			<cfloop list="#urlStr#" index="elem1" delimiters="/">
				<cfif ListLen(elem1, ":") eq 2>
					<cfset '#ListFirst(elem1, ":")#' = ListLast(elem1, ":")>
				</cfif>
			</cfloop>
		</cfif>
		<cfif IsDefined("url.cache")>
			<cfset HttpRequestData = GetHttpRequestData()>
			<cfif StructKeyExists(HttpRequestData["headers"], "Authorization")>
				<cfset auth = ToString(ToBinary(RemoveChars(HttpRequestData["headers"]["Authorization"], 1, 6)))>
				<cfif ListFirst(auth, ":") eq application.urlUserName and ListLast(auth, ":") eq application.urlPassword>
					<cfswitch expression="#url.cache#">
						<cfcase value="refreshPosts">
							<cfset application.blogCacheObj.cacheEntries()>
						</cfcase>
						<cfcase value="refreshPods">
							<cfset application.blogCacheObj.cachePods()>
						</cfcase>
						<cfcase value="refreshBadWords">
							<cfset application.blogCacheObj.cacheBadWords()>
						</cfcase>
						<cfcase value="refreshBadIPs">
							<cfset application.blogCacheObj.cacheBadIPs()>
						</cfcase>
						<cfcase value="refreshSmiles">
							<cfset application.blogCacheObj.cacheSmiles()>
						</cfcase>
						<cfcase value="refreshStaticPages">
							<cfset application.blogCacheObj.cacheStaticPages()>
						</cfcase>
					</cfswitch>
					<cfabort>
				</cfif>
			</cfif>
		</cfif>
	</cfif>

	<cfinclude template="_manager.cfm">
	<cfparam name="loadContent" default="false">
	<cfif ListFindNoCase("true,false", loadContent, ",") eq 0>
		<cfset loadContent = false>
	</cfif>
	<cfcookie name="canHandle" value="true" expires="NOW">
</cfsilent>
<cfif loadContent and IsDefined("cookie.canHandle")>
	<cfsetting showdebugoutput="No">
	<cfsavecontent variable="loadedContent">
		<cfinclude template="#tmpl_file#">
	</cfsavecontent>
	<cfset getPageContext().getOut().clearBuffer()>
	<cfoutput>#loadedContent#</cfoutput>
<cfelse>
	<cfinclude template="#application.layout#/_default.cfm">
	<cfif Right(cgi.script_name, 4) neq ".cfc" and Right(cgi.script_name, 7) neq "rss.cfm">
		<cfif application.statCounter eq 1 and Len(Trim(application.statCounterProject)) and Len(Trim(application.statCounterSecurity))>
			<cfoutput>
				<cfsavecontent variable="requestAddOnsTemp">
					<!-- Start of StatCounter Code -->
					<script type="text/javascript">
					sc_project=2245788; 
					sc_invisible=1; 
					sc_partition=#application.statCounterPartition#; 
					sc_security="e76031d0"; 
					</script>
					
					<script type="text/javascript" src="http://www.statcounter.com/counter/counter_xhtml.js"></script><noscript><div class="statcounter"><a href="http://www.statcounter.com/free_hit_counter.html" target="_blank"><img class="statcounter" src="http://#application.statCounterDomainHeader#.statcounter.com/#application.statCounterProject#/0/#application.statCounterSecurity#/1/" alt="hit counter" ></a></div></noscript>
					<!-- End of StatCounter Code -->
					<!-- Start of StatCounter Code -->
					<script type="text/javascript" language="javascript">
					var sc_project=#application.statCounterProject#;
					var sc_invisible=1;
					var sc_partition=20;
					var sc_security="#application.statCounterSecurity#";
					</script>
					<script type="text/javascript" language="javascript" src="http://www.statcounter.com/counter/counter.js"></script><noscript><a href="http://www.statcounter.com/" target="_blank"><img  src="http://c12.statcounter.com/counter.php?sc_project=#application.statCounterProject#&java=0&security=#application.statCounterSecurity#&invisible=1" alt="website statistics" border="0"></a> </noscript>
					<!-- End of StatCounter Code -->
				</cfsavecontent>
			</cfoutput>
			<cfset request.requestAddOns = request.requestAddOns & requestAddOnsTemp>
		</cfif>
		<cfif application.googleAnalytics eq 1 and Len(Trim(application.googleAnalyticsUACCT))>
			<cfoutput>
				<cfsavecontent variable="requestAddOnsTemp">
					<script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
					</script>
					<script type="text/javascript">
					<!--
					_uacct = "#application.googleAnalyticsUACCT#";
					urchinTracker();
					-->
					</script>
				</cfsavecontent>
			</cfoutput>
			<cfset request.requestAddOns = request.requestAddOns & requestAddOnsTemp>
		</cfif>
	</cfif>
</cfif>


