<cfif ListLen(action, ".") gte 2>
	<cfset subaction = ListGetAt(action, 2, ".")>
<cfelse>
	<cfset subaction = "">
</cfif>

<cfswitch expression="#subaction#">
	<cfcase value="search">
		<cfset tmpl_title = application.title & ":: Search">
		<cfset tmpl_file = "posts/search.cfm">
	</cfcase>

	<cfcase value="rating">
		<cfset tmpl_title = application.title & ":: Rating">
		<cfset tmpl_file = "posts/starRating.cfm">
	</cfcase>

	<cfcase value="entry">
		<cfset tmpl_file = "posts/entry.cfm">
	</cfcase>

	<cfcase value="sendProcess">
		<cfinclude template="sendProcess.cfm">
		<cfset tmpl_title = application.title & ":: Send entry">
		<cfset tmpl_file = "posts/send.cfm">
	</cfcase>

	<cfcase value="send">
		<cfset tmpl_title = application.title & ":: Send entry">
		<cfset tmpl_file = "posts/send.cfm">
	</cfcase>

	<cfcase value="addComment">
		<cfinclude template="addComment.cfm">
		<cfset tmpl_title = application.title & ":: Add comment">
		<cfset tmpl_file = "posts/entry.cfm">
	</cfcase>

	<cfcase value="nextComments">
		<cfset tmpl_title = application.title & ":: Comments">
		<cfset tmpl_file = "posts/nextComments.cfm">
	</cfcase>

	<cfcase value="nextEntries">
		<cfset tmpl_title = application.title & ":: Entries">
		<cfset tmpl_file = "posts/nextEntries.cfm">
	</cfcase>

	<cfcase value="byCat">
		<cfset tmpl_title = application.title & ":: Entries">
		<cfset tmpl_file = "posts/byCat.cfm">
	</cfcase>

	<cfcase value="unsubscribe">
		<cfset tmpl_title = application.title & ":: Unsubscribe">
		<cfset tmpl_file = "posts/unsubscribe.cfm">
	</cfcase>

	<cfcase value="byADM">
		<cfsilent>
			<cfparam name="byAlias" default="">
			<cfparam name="byDay" default="">
			<cfparam name="byMonth" default="">
			<cfparam name="byYear" default="">
			<cfparam name="from_record" default="1">
			<cfset found_records = 0>
			<cfif from_record lte 0>
				<cfset from_record = 1>
			</cfif>
			
			<cfstoredproc datasource="#application.dsn#" procedure="sp_getADMEntries" username="#application.dsnUsername#" password="#application.dsnPassword#">
				<cfprocparam cfsqltype="CF_SQL_VARCHAR" type="In" value="#byAlias#" dbvarname="@day">
				<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#Val(byDay)#" dbvarname="@day">
				<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#Val(byMonth)#" dbvarname="@month">
				<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#Val(byYear)#" dbvarname="@year">
				<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#from_record#" dbvarname="@from_record">
				<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#application.postNumb#" dbvarname="@total_records">
				<cfprocparam cfsqltype="CF_SQL_INTEGER" type="Out" dbvarname="@found_records" variable="found_records">
				
				<cfprocresult resultset="1" name="getADMEntries">
			</cfstoredproc>
		</cfsilent>
		<cfif getADMEntries.RecordCount eq 1>
			<cfset getEntry = getADMEntries>
			<cfset id = getADMEntries.entry_id>
			<cfset tmpl_file = "posts/entry.cfm">
		<cfelse>
			<cfset tmpl_file = "posts/byADM.cfm">
		</cfif>
		<cfset tmpl_title = application.title & ":: Entries">
	</cfcase>

	<cfdefaultcase>
		<cfset tmpl_title = application.title & ":: Entries">
		<cfset tmpl_file = "posts/posts.cfm">
	</cfdefaultcase>
</cfswitch>