<cfsilent>
	<cfparam name="cat_id" default="0">
	<cfparam name="from_record" default="1">
	<cfset found_records = 0>
	<cfif from_record lte 0>
		<cfset from_record = 1>
	</cfif>
	
	<cfstoredproc datasource="#application.dsn#" procedure="sp_getCatEntries" username="#application.dsnUsername#" password="#application.dsnPassword#">
		<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#Val(cat_id)#" dbvarname="@cat_id">
		<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#from_record#" dbvarname="@from_record">
		<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#application.postNumb#" dbvarname="@total_records">
		<cfprocparam cfsqltype="CF_SQL_INTEGER" type="Out" dbvarname="@found_records" variable="found_records">
		
		<cfprocresult resultset="1" name="getCatEntries">
	</cfstoredproc>
	<cfif getCatEntries.RecordCount>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getAllCats" datasource="#application.dsn#">
			Select c.cat_name, c.cat_alias, rec.entry_id, c.cat_id
			From onessBlog_categories c
				Inner Join onessBlog_rel_entry_category rec ON rec.entry_id in (#ValueList(getCatEntries.entry_id, ",")#) and rec.cat_id = c.cat_id
		</cfquery>
	</cfif>
	<cfset viewsComments = application.funcObj.getViewsComments()>
</cfsilent>

<div class="entries" id="entries">
<cfsavecontent variable="navigator">
	<cfif getCatEntries.RecordCount>
		<cfif found_records gt application.postNumb>
			<cfif from_record gt found_records>
				<cfset from_record = 1>
			</cfif>
			<cfset followLink = "index.cfm?action=posts.byCat&rnd=#RandRange(1,99999)#&loadContent=true&cat_id=#Val(cat_id)#">
			<cfoutput><div class="nav">#application.funcObj.pagingAJAX(found_records, application.postNumb, from_record, followLink, "from_record", 5, 15, "entries")#</div><br clear="all" /></cfoutput>
		</cfif>
	</cfif>
</cfsavecontent>
<cfoutput>#navigator#</cfoutput>

<cfloop query="getCatEntries">
	<cfsilent>
		<cfquery name="getCats" dbtype="query">
			Select cat_name, cat_alias, entry_id, cat_id
			From getAllCats
			Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
		</cfquery>
		<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#entry_id#/#alias#">
	</cfsilent>
	<cfoutput>
		<div class="entry">
			<div class="postTitle"><a href="#lnk#">#subject#</a></div><br />
			<div class="postDetails">
				Posted At : #DateFormat(posted, "mmm dd, yyyy")# #TimeFormat(posted, "H:mm tt")#
				| Posted By : #name#<br/>
				<cfset cats = ValueList(getCats.cat_name, Chr(1))>
				<cfset catsAlias = ValueList(getCats.cat_alias, Chr(1))>
				<cfset catsIDs = ValueList(getCats.cat_id, ",")>
				<cfset catsNumb = ListLen(cats, Chr(1))>
				Related Categories:	
				<cfloop index="catsIndx" from="1" to="#catsNumb#">
					<cfset currentCat = ListGetAt(cats, catsIndx, Chr(1))>
					<cfset currentCatAlias = ListGetAt(catsAlias, catsIndx, Chr(1))>
					<cfset currentCatID = ListGetAt(catsIDs, catsIndx, ",")>
					<a href="#application.burl#/index.cfm/action:posts.byCat/cat_id:#currentCatID#/#currentCatAlias#">#currentCat#</a><cfif catsIndx lt catsNumb>, </cfif>
				</cfloop>
			</div><br />
			<div class="postContent"><cfif application.postLen eq "Entire">#message#<cfelse>#Left(ReReplace(message, "<[^>]*>", "", "all"), Val(application.postLen))#...</cfif></div><br />
			<div class="postStats">
			<cfif enable_comments eq 1><img src="images/comment.gif" align="middle" title="Comments" height="16" width="16"/> <a href="#lnk###comments">Comments (#commentsNumb#)</a> | </cfif>
			<cfif application.isColdFusionMX7 and application.allowPrinting><img src="images/printer.gif" align="middle" title="Print" height="16" width="16"/> <a href="index.cfm/action:posts.entry/print=true/id:#entry_id#/#alias#" rel="nofollow" target="_blank">Print</a> | </cfif>
			<img src="images/email.gif" align="middle" title="Send" height="16" width="16"/> <a href="index.cfm/action:posts.send/id:#entry_id#/#alias#" rel="nofollow">Send</a> 
			| #views# Views
			<cfif application.popularity> | #Round(100*Val(views)/viewsComments.views)#% / #Round(100*Val(commentsNumb)/viewsComments.comments)#% Popularity</cfif>
			</div>
		</div>
		<br />
	</cfoutput>
</cfloop>

<cfoutput>#navigator#</cfoutput>
</div>
