<cfif application.rating>
	<cfsetting enablecfoutputonly="Yes">
	<cfparam name="entry_id" default="0">
	<cfparam name="rating" default="0">
	<cfparam name="ratingDone" default="false">
	<cfif not ListFindNoCase("false,true", ratingDone, ",")>
		<cfset ratingDone = false>
	</cfif>
	<cfif Val(rating) and rating gte 1 and rating lte 10 and Val(entry_id)>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="upd" datasource="#application.dsn#">
			Update onessBlog_entries
			Set rating#rating# = rating#rating# + 1
			Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
		</cfquery>
	</cfif>
	<cfif Val(entry_id)>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getR" datasource="#application.dsn#">
			Select rating1, rating2, rating3, rating4, rating5, rating6, rating7, rating8, rating9, rating10
				, rating1 + rating2 + rating3 + rating4 + rating5 + rating6 + rating7 + rating8 + rating9 + rating10 as ratingsCount
			From onessBlog_entries
			Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
		</cfquery>
		<cfset thisRating = Val(getR.rating1) + 2*Val(getR.rating2) + 3*Val(getR.rating3) + 4*Val(getR.rating4) + 5*Val(getR.rating5) + 6*Val(getR.rating6) + 7*Val(getR.rating7) + 8*Val(getR.rating8) + 9*Val(getR.rating9) + 10*Val(getR.rating10)>
		<cfoutput><div id="ratingID"></cfoutput>
		<cfloop index="i" from="1" to="#Round(thisRating/Max(Val(getR.ratingsCount), 1))#">
			<cfif not IsDefined("cookie.ENTRY#entry_id#RATING") and not ratingDone>
				<cfoutput><a href="javascript:makeGETRequest('index.cfm?action=posts.rating&rnd=#RandRange(1,99999)#&loadContent=true&rating=#i#&entry_id=#entry_id#&ratingDone=true', 'ratingID')"><img src="images/staron.gif" alt="star rating" title="star rating" border="0"></a></cfoutput>
			<cfelse>
				<cfoutput><img src="images/staron.gif" alt="star rating" title="star rating" border="0"></cfoutput>
			</cfif>
		</cfloop>
		<cfloop index="i" from="#Round(thisRating/Max(Val(getR.ratingsCount), 1))+1#" to="#10#">
			<cfif not IsDefined("cookie.ENTRY#entry_id#RATING") and not ratingDone>
				<cfoutput><a href="javascript:makeGETRequest('index.cfm?action=posts.rating&rnd=#RandRange(1,99999)#&loadContent=true&rating=#i#&entry_id=#entry_id#&ratingDone=true', 'ratingID')"><img src="images/staroff.gif" alt="star rating" title="star rating" border="0"></a></cfoutput>
			<cfelse>
				<cfoutput><img src="images/staroff.gif" alt="star rating" title="star rating" border="0"></cfoutput>
			</cfif>
		</cfloop>
		<cfoutput><cfif getR.ratingsCount gt 0>(#getR.ratingsCount# vote<cfif getR.ratingsCount gt 1>s</cfif>)</cfif></div></cfoutput>
	</cfif>
	<cfif Val(rating) and rating gte 1 and rating lte 10 and Val(entry_id)>
		<cfoutput><cfcookie name="ENTRY#entry_id#RATING" value="#rating#" expires="#DateAdd('d', 1, Now())#"></cfoutput>
	</cfif>
	<cfsetting enablecfoutputonly="No">
</cfif>

