<cfsetting enablecfoutputonly=true>
<cfsetting showdebugoutput=false>
<cfsilent>
	<cfparam name="cat" default="">
	<cfset meta = structNew()>
	<cfset meta.title = application.title>
	<cfset meta.link = application.burl>
	<cfset meta.description = application.description>
	
	<cfset data = queryNew("title,body,link,subject,date")>
	
	<cfif Len(cat)>
		<cfquery name="getEntries" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			Select top 20 e.subject as title, e.message as body, e.alias, e.posted, e.entry_id
			From onessBlog_entries e, onessBlog_categories c, onessBlog_rel_entry_category r
			Where c.cat_id = r.cat_id
				and c.cat_alias = '#cat#'
				and r.entry_id = e.entry_id
				and e.is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
				and e.posted <= GetDate()
			Order by e.entry_id desc
		</cfquery>
	<cfelse>
		<cfquery name="getEntries" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			Select top 20 subject as title, message as body, alias, posted, entry_id
			From onessBlog_entries
			Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
				and posted <= GetDate()
			Order by entry_id desc
		</cfquery>
	</cfif>
	<cfloop query="getEntries">
		<cfset queryAddRow(data, 1)>
		<cfset querySetCell(data, "title", title)>
		<cfset querySetCell(data, "body", HTMLEditFormat(Left(ReReplace(body, "<[^>]*>", "", "all"), 500)))>
		<cfset querySetCell(data, "link", "#application.burl#/index.cfm/action:posts.entry/id:#entry_id#/#alias#")>
		<cfset querySetCell(data, "subject", Left(ReReplace(body, "<[^>]*>", "", "all"), 200))>
		<cfset querySetCell(data, "date", posted)>
	</cfloop>
	<cfset iStr = application.rss.generateRSS("rss1", data, meta)>
</cfsilent>
<cfcontent type="text/xml" reset="true"><cfoutput>#Trim(iStr)#</cfoutput>
<cfabort>
