<cfif IsDefined("pods")>
	<cfset HttpRequestData = GetHttpRequestData()>
	<cfif StructKeyExists(HttpRequestData["headers"], "Authorization")>
		<cfset auth = ToString(ToBinary(RemoveChars(HttpRequestData["headers"]["Authorization"], 1, 6)))>
		<cfif ListFirst(auth, ":") eq application.urlUserName and ListLast(auth, ":") eq application.urlPassword>
			<cfloop index="pod" list="#pods#" delimiters=",">
				<cfset leftPods = application.cacheObj.cacheGetElement("podsLeft.#pod#")>
				<cfif IsStruct(leftPods)>
					<cfset leftPods.expiresOn = DateAdd(leftPods.timeoutFormat, leftPods.timeout, Now())>
					<cfsavecontent variable="leftPods.content"><cfmodule template="admin\pods\#leftPods.source#"></cfsavecontent>
					<cfset application.cacheObj.cacheSetElement("podsLeft.#pod#", leftPods)>
				<cfelse>
					<cfset rightPods = application.cacheObj.cacheGetElement("podsRight.#pod#")>
					<cfif IsStruct(rightPods)>
						<cfset rightPods.expiresOn = DateAdd(rightPods.timeoutFormat, rightPods.timeout, Now())>
						<cfsavecontent variable="rightPods.content"><cfmodule template="admin\pods\#rightPods.source#"></cfsavecontent>
						<cfset application.cacheObj.cacheSetElement("podsRight.#pod#", rightPods)>
					</cfif>
				</cfif>
			</cfloop>
			<cfabort>
		</cfif>
	</cfif>
</cfif>
