<cfparam name="action" default="">
<cfswitch expression="#ListFirst(action, ".")#">
	<cfcase value="triggers">
		<cfinclude template="triggers.cfm">
	</cfcase>
	<cfcase value="pages">
		<cfparam name="id" default="0">
		<cfset sPage = application.cacheObj.cacheGetElement("staticPage.#Val(id)#")>
		<cfset getFromDB = true>
		<cfif IsStruct(sPage)>
			<cfif sPage.cachedTill eq "" or DateCompare(sPage.cachedTill, Now()) gte 1>
				<cfset getPage.title = sPage.title>
				<cfset getPage.page = sPage.page>
				<cfset tmpl_title = application.title & ":: " & getPage.title>
				<cfset getFromDB = false>
			<cfelse>
				<cfset application.cacheObj.cacheRemoveElement("staticPage.#Val(id)#")>
			</cfif>
		</cfif>
		<cfif getFromDB>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPage" datasource="#application.dsn#">
				Select title, page
				From onessBlog_staticPages
				Where id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
					and isActive = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			</cfquery>
			<cfif getPage.RecordCount>
				<cfset tmpl_title = application.title & ":: " & getPage.title>
			<cfelse>
				<cfset tmpl_title = application.title>
			</cfif>
		</cfif>
		<cfset tmpl_file = "staticPages.cfm">
	</cfcase>
	<cfcase value="pods">
		<cfset tmpl_title = application.title & ":: Pods">
		<cfset tmpl_file = "pods.cfm">
	</cfcase>
	<cfcase value="subscribeConfirm">
		<cfset tmpl_title = application.title & ":: Confirm subscription">
		<cfset tmpl_file = "subscribeConfirm.cfm">
	</cfcase>
	<cfcase value="showCaptcha">
		<cfinclude template="showCaptcha.cfm">
	</cfcase>
	<cfcase value="slideshow">
		<cfset tmpl_title = application.title & ":: Slide Show">
		<cfset tmpl_file = "slideshow.cfm">
	</cfcase>
	<cfcase value="stats">
		<cfset tmpl_title = application.title & ":: Statistics">
		<cfset tmpl_file = "stats.cfm">
	</cfcase>
	<cfdefaultcase>
		<cfinclude template="posts/_manager.cfm">
	</cfdefaultcase>
</cfswitch>