<cfparam name="q" default="">
<cfparam name="cat_id" default="0">
<cfset cat_id = Val(cat_id)>

<cfquery name="getEntries" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
	Select e.entry_id
	From onessBlog_entries e
	Where 1 = (
				Select Count(r.cat_id)
				From onessBlog_rel_entry_category r
				Where r.entry_id = e.entry_id
					and r.cat_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#cat_id#">
				)
</cfquery>

<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
	delete 
	From onessBlog_categories 
	Where cat_id = #cat_id#
	<cfif getEntries.RecordCount>
		<cfset entries = ValueList(getEntries.entry_id, ",")>
		delete
		From onessBlog_entries
		Where entry_id in (#entries#)
		
		Delete From onessBlog_comments
		Where entry_id in (#entries#)
		
		Delete From onessBlog_rel_entry_category
		Where entry_id in (#entries#)

		Delete From onessBlog_rel_entry_entry
		Where entry_id1 in (#entries#) or entry_id2 in (#entries#)
	</cfif>
</cfquery>

<cfset trigEntry = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigEntry")>
<cfif Len(trigEntry)>
	<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigEntry#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
</cfif>
<cfset trigComment = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigComment")>
<cfif Len(trigComment)>
	<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigComment#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
</cfif>

<cflocation addtoken="No" url="index.cfm?#URLDecode(q)#">
