<cfparam name="q" default="">
<cfparam name="id" default="0">
<cfparam name="errMsg" default="">
<cfset id = Val(id)>

<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getComment">
	Select c.id, c.name, c.dateAdded, c.moderated, e.subject, c.comment, c.email, c.link, c.subscribe, e.alias, e.entry_id
	From onessBlog_comments c, onessBlog_entries e
	Where c.id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
		and c.entry_id = e.entry_id
</cfquery>
	
<cfif getComment.RecordCount>
	<cfparam name="subject" default="#getComment.subject#">
	<cfparam name="name" default="#getComment.name#">
	<cfparam name="comment" default="#getComment.comment#">
	<cfparam name="email" default="#getComment.email#">
	<cfparam name="link" default="#getComment.link#">
	<cfparam name="moderated" default="#getComment.moderated#">
	<cfparam name="dateAdded" default="#DateFormat(getComment.dateAdded, 'mm/dd/yyyy')# #TimeFormat(getComment.dateAdded, 'hh:mm tt')#">
	<cfparam name="subscribe" default="#getComment.subscribe#">
	<cfparam name="alias" default="#getComment.alias#">
	<cfparam name="entry_id" default="#getComment.entry_id#">
	
	<cfoutput>
		<h2>#subject#</h2>
		<cfif errMsg neq "">
			<div class="err">
				<cfloop index="err" list="#errMsg#" delimiters="|">
					<li>#err#</li>
				</cfloop>
			</div>
		</cfif>
		<form action="index.cfm" method="post" name="postentry">
			<input type="Hidden" name="q" value="#q#">
			<input type="Hidden" name="id" value="#id#">
			<input type="Hidden" name="action" value="comments.save">
			<input type="Hidden" name="oldModerated" value="#moderated#">
			<input type="Hidden" name="subject" value="#subject#">
			<input type="Hidden" name="alias" value="#alias#">
			<input type="Hidden" name="entry_id" value="#entry_id#">
			<table border="0" cellpadding="2" cellspacing="1" width="100%">
				<tr>
					<td align="right"><label for="dateAdded"><strong>Date:</strong></label></td>
					<td><input type="Text" id="dateAdded" name="dateAdded" value="#dateAdded#" size="30"></td>
				</tr>
				<tr>
					<td align="right"><label for="name"><strong>Name:</strong></label></td>
					<td><input type="Text" id="name" name="name" value="#name#" size="30"></td>
				</tr>
				<tr>
					<td align="right"><label for="email"><strong>Email:</strong></label></td>
					<td><input type="Text" id="email" name="email" value="#email#" size="30"></td>
				</tr>
				<tr>
					<td align="right"><label for="link"><strong>Web Site:</strong></label></td>
					<td><input type="Text" id="link" name="link" value="#link#" size="30"></td>
				</tr>
				<tr>
					<td align="right" valign="top"><label for="comment"><strong>Comment:</strong></label></td>
					<td><textarea name="comment" cols="45" rows="10" id="comment">#comment#</textarea></td>
				</tr>
				<tr>
					<td align="right"><label for="moderated">Moderated:</label></td>
					<td><input type="Checkbox" id="moderated" name="moderated"<cfif Val(moderated)> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="subscribe">Subscribed:</label></td>
					<td><input type="Checkbox" id="subscribe" name="subscribe"<cfif Val(subscribe)> checked</cfif>></td>
				</tr>
				<tr>
					<td></td>
					<td colspan="3" align="right">
						<input type="Submit" value="    Save    ">
						<input type="Button" value="   Cancel   " onclick="document.location='index.cfm?#URLDecode(q)#'">
					</td>
				</tr>
			</table>
		</form>
	</cfoutput>
</cfif>
