<cfsilent>
	<cfparam name="id" default="0">
	<cfparam name="errMsg" default="">
	<cfif errMsg eq "">
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPods" datasource="#application.dsn#">
			Select podTitle, podSource, podSide, isCached, timeout, timeoutFormat, isActive, position, title_image
			From onessBlog_pods
			Where id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
		</cfquery>
		<cfparam name="podTitle" default="#getPods.podTitle#">
		<cfparam name="podSource" default="#getPods.podSource#">
		<cfparam name="podSide" default="#getPods.podSide#">
		<cfparam name="isCached" default="#getPods.isCached#">
		<cfparam name="timeout" default="#getPods.timeout#">
		<cfparam name="timeoutFormat" default="#getPods.timeoutFormat#">
		<cfparam name="isActive" default="#getPods.isActive#">
		<cfparam name="position" default="#getPods.position#">
		<cfparam name="title_image" default="#getPods.title_image#">
	</cfif>
	<cfdirectory action="LIST" directory="#ExpandPath('pods')#" name="pods" type="File">
</cfsilent>
<cfoutput>
	<cfif errMsg neq "">
		<div class="err">
			<cfloop index="err" list="#errMsg#" delimiters="|">
				<li>#err#</li>
			</cfloop>
		</div>
	</cfif>
	<form name="frm" action="index.cfm" method="post" enctype="multipart/form-data" onsubmit="return validate()">
		<cfif Val(id) eq 0>
			<input type="Hidden" name="action" value="managePods.save">
		<cfelse>
			<input type="Hidden" name="id" value="#Val(id)#">
			<input type="Hidden" name="action" value="managePods.update">
			<input name="upldfile" type="Hidden" value="">
		</cfif>
		<table border="0" cellpadding="2" cellspacing="1">
			<tr>
				<td align="right"><label for="isActive"><strong>Active:</strong></label></td>
				<td><input type="Checkbox" id="isActive" name="isActive" value="1"<cfif isActive eq 1> checked</cfif>></td>
			</tr>
			<tr>
				<td align="right"><label for="isCached"><strong>Cached:</strong></label></td>
				<td><input type="Checkbox" id="isCached" name="isCached" value="1"<cfif isCached eq 1> checked</cfif>></td>
			</tr>
			<tr>
				<td align="right"><label for="position"><strong>Position:</strong></label></td>
				<td><input type="Text" id="position" name="position" value="#position#" maxlength="50"></td>
			</tr>
			<tr>
				<td align="right"><label for="podTitle"><strong>Pod Title:</strong></label></td>
				<td><input type="Text" id="podTitle" name="podTitle" value="#podTitle#" maxlength="50"></td>
			</tr>
			<cfif Len(title_image)>
				<tr>
					<td colspan="2" align="center">
						<cfif FileExists(ExpandPath("pods/images/#title_image#"))>
							<cfif Right(title_image, 3) eq "swf">
								<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab##version=5,0,0,0">
									<PARAM NAME=movie VALUE="pods/images/#title_image#">
									<PARAM NAME=quality VALUE=high>
									<EMBED src="pods/images/#title_image#" quality=high TYPE="application/x-shockwave-flash" PLUGINSPAGE="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash"></EMBED>
								</OBJECT>
							<cfelse>
								<img src="pods/images/#title_image#" border="0">
							</cfif>
						</cfif>
						<a href="index.cfm?action=managePods.removeImage&id=#Val(id)#">Remove</a>
					</td>
				</tr>
			</cfif>
			<tr>
				<td align="right"><label for="title_image"><strong>Pod Title Image:</strong></label></td>
				<td><input type="File" id="title_image" name="title_image" value="#title_image#" maxlength="50"></td>
			</tr>
			<!---
			<tr>
				<td align="right"><label for="podSource"><strong>Pod Source (<em>ex.: categories.cfm</em>):</strong></label></td>
				<td><input type="Text" id="podSource" name="podSource" value="#podSource#" maxlength="150"></td>
			</tr>
			--->
			<tr>
				<td align="right"><label for="podSource"><strong>Pod Source (<em>ex.: categories.cfm</em>):</strong></label></td>
				<td>
					<Select id="podSource" name="podSource">
						<option value="">
						<cfloop query="pods">
							<option value="#name#"<cfif name eq podSource> selected</cfif>>#name#
						</cfloop>
					</select>
				</td>
			</tr>
			<tr>
				<td align="right"><label for="podSide"><strong>Pod Side:</strong></label></td>
				<td>
					<Select id="podSide" name="podSide">
						<option value="">
						<option value="left"<cfif podSide eq "left"> selected</cfif>> Left 
						<option value="right"<cfif podSide eq "right"> selected</cfif>> Right 
						<option value="bottom"<cfif podSide eq "bottom"> selected</cfif>> Bottom 
					</select>
				</td>
			</tr>
			<tr>
				<td align="right"><label for="timeout"><strong>Pod Timeout:</strong></label></td>
				<td>
					<input type="Text" id="timeout" name="timeout" value="#timeout#">
					<Select id="timeoutFormat" name="timeoutFormat">
						<option value="d"<cfif timeoutFormat eq "d"> selected</cfif>> Days 
						<option value="h"<cfif timeoutFormat eq "h"> selected</cfif>> Hours 
						<option value="n"<cfif timeoutFormat eq "n"> selected</cfif>> Minutes 
					</select>
				</td>
			</tr>
			<tr>
				<td align="right" colspan="2">
					<input type="Submit" value="    Save    ">
					<input type="Button" value="   Cancel   " onclick="document.location='index.cfm?action=pods'">
				</td>
			</tr>
		</table>
	</form>
	<script language="JavaScript" type="text/javascript">
	<!-- 
		function validate()
		{
		    var path =  document.frm.title_image.value;
			if (document.frm.podSource.value == '')
			{
				alert("Please enter Pod Source!");
				document.frm.podSource.focus();
				return false
			}
			if (!isNumeric(document.frm.timeout.value))
			{
				alert("Please enter valid Pod Timeout!");
				document.frm.timeout.focus();
				return false
			}
			if (!isNumeric(document.frm.position.value))
			{
				alert("Please enter valid position!");
				document.frm.position.focus();
				return false
			}
			document.frm.upldfile.value = document.frm.title_image.value
			return true
		}
	// -->
	</script>
</cfoutput>