<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPods" datasource="#application.dsn#">
	Select id, podTitle, podSource, podSide, isCached, timeout, timeoutFormat, isActive, dateAdded, position
	From onessBlog_pods
	Order by podSide, position, podTitle
</cfquery>

<table align="center" style="border: 1px solid black;">
	<tr>
		<td colspan="9" style="border: 1px solid black; background: #ededed" align="center">
			<a href="index.cfm?action=managePods.edit"><img src="images/icons/grid_add.gif" alt="Add" title="Add" width="13" height="15" border="0" /></a>
			<strong>Pods</strong>
		</td>
	</tr>
	<tr>
		<tr>
			<th style="border-bottom: 1px solid black;">Position</th>
			<th style="border-bottom: 1px solid black;">Title</th>
			<th style="border-bottom: 1px solid black;">Side</th>
			<th style="border-bottom: 1px solid black;">Cached</th>
			<th style="border-bottom: 1px solid black;">Active</th>
			<th style="border-bottom: 1px solid black;">Timeout</th>
			<th style="border-bottom: 1px solid black;">Timeout Format</th>
			<th style="border-bottom: 1px solid black;">Added On</th>
			<th style="border-bottom: 1px solid black;" width="1%"></th>
		</tr>
	</tr>
	<cfoutput query="getPods">
		<tr<cfif CurrentRow mod 2> bgcolor="##f6f6f6"<cfelse> bgcolor="##ffffff"</cfif>>
			<td valign="top" nowrap>#position#</td>
			<td valign="top" nowrap><a href="index.cfm?action=managePods.edit&id=#id#">#podTitle#</a></td>
			<td valign="top" nowrap>#podSide#</td>
			<td valign="top" nowrap align="center">#YesNoFormat(isCached)#</td>
			<td valign="top" nowrap align="center"><a href="javascript:doConfirm('index.cfm?action=managePods.lock&id=#id#', 'Are you sure to change status of this item?')">#YesNoFormat(Val(isActive))#</a></td>
			<td valign="top" nowrap align="center">#timeout#</td>
			<td valign="top" nowrap align="center">
				<cfswitch expression="#timeoutFormat#">
					<cfcase value="d">Day</cfcase>
					<cfcase value="h">Hour</cfcase>
					<cfcase value="n">Minute</cfcase>
				</cfswitch><cfif Val(timeout) gt 1>s</cfif>
			</td>
			<td valign="top" nowrap align="center">#DateFormat(dateAdded, "mm/dd/yyyy")#</td>
			<td valign="top" nowrap align="center">
				<a href="index.cfm?action=managePods.edit&id=#id#"><img src="images/icons/edit_alt.gif" alt="Edit" title="Edit" height="15" border="0" /></a>
				&nbsp;|&nbsp;
				<a href="javascript:doConfirm('index.cfm?action=managePods.delete&id=#id#', 'Are you sure to delete this item?')"><img src="images/icons/grid_delete.gif" alt="Delete" width="11" height="15" border="0" /></a>
			</td>
		</tr>
	</cfoutput>
</table>
