<cfif IsDefined("subscr")>
	<cfif not IsValid("email", subscr)>
		<cfset subscrMsg = "<span style='color:##ee0000'>Invalid email address.</span>">
	<cfelse>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="check" datasource="#application.dsn#">
			Select email
			From onessBlog_subscribers
			Where email = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" maxlength="150" value="#subscr#">
		</cfquery>
		<cfif check.RecordCount eq 0>
			<cfset tkn = CreateUUID()>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="ins" datasource="#application.dsn#">
				Insert Into onessBlog_subscribers (email, dateAdded, tkn, isConfirmed)
				Values (
						<cfqueryparam cfsqltype="CF_SQL_VARCHAR" maxlength="150" value="#subscr#">,
						GetDate(),
						<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#tkn#">,
						<cfqueryparam cfsqltype="CF_SQL_BIT" value="0">
						)
			</cfquery>
<cfsavecontent variable="msg">
	<cfoutput>
	Thank you for your interest in my blog's entries.
	
	If you are the owner of this email address, please use the following link to confirm your subscription:
	#application.burl#/index.cfm?action=subscribeConfirm&email=#subscr#&tkn=#tkn#
	</cfoutput>
</cfsavecontent>
			<cfset subj = "Confirmation required for subscription with #application.title#">
			<cfif application.mailserver is "">
				<cfmail to="#subscr#" from="#application.email#" subject="#subj#">#Trim(msg)#</cfmail>
			<cfelse>
				<cfmail to="#subscr#" from="#application.email#" subject="#subj#"
					server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#Trim(msg)#</cfmail>
			</cfif>
			<cfset subscrMsg = "<span style='color:##00ee00'>Email address added. Confirmation email sent</span>">
		<cfelse>
			<cfset subscrMsg = "<span style='color:##ee0000'>Email address already subscribed.</span>">
		</cfif>
	</cfif>
<cfelse>
	<cfset subscrMsg = "Enter your email address to subscribe to this blog.">
</cfif>
<cfoutput>
	<div class="center" id="subscrID">
	<p>#subscrMsg#</p>
	<form action="##" method="post" onsubmit="if(this.subscr.value.length != 0){makeGETRequest('index.cfm?action=pods&source=subscribe.cfm&loadcontent=true&subscr='+this.subscr.value, 'subscrID')}">
		<p><input type="text" name="subscr" size="15"> <input type="submit" value="Subscribe"></p>
	</form>
	</div>
</cfoutput>
