<cfsilent>
	<cfparam name="errMsg" default="">
	<cfif Trim(errMsg) eq "">
		<cfset title = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "title")>
		<cfset burl = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "burl")>
		<cfset description = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "description")>
		<cfset keywords = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "keywords")>
		<cfset urlUserName = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlUserName")>
		<cfset urlPassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlPassword")>
		<cfset postNumb = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "postNumb")>
		<cfset commentsNumb = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "commentsNumb")>
		<cfset postLen = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "postLen")>
		<cfset offset = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "offset")>
		<cfset locale = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "locale")>
		<cfset email = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "email")>
		<cfset mailserver = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailserver")>
		<cfset mailusername = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailusername")>
		<cfset mailpassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailpassword")>
		<cfset dsn = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsn")>
		<cfset dsnUsername = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnUsername")>
		<cfset dsnPassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnPassword")>
		<cfset dbType = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dbType")>
		<cfset cacheMechanism = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "mechanism")>
		<cfset topEntries = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "topEntries")>
		<cfset periodAccesses = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "periodAccesses")>
		<cfset periodAccessesType = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "periodAccessesType")>
		<cfset useCaptcha = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "useCaptcha")>
		<cfset useGravatar = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "useGravatar")>
		<cfset entrySmilesConverter = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "entrySmilesConverter")>
		<cfset commentSmilesConverter = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "commentSmilesConverter")>
		<cfset popularity = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "popularity")>
		<cfset rating = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "rating")>
		<cfset allowPrinting = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "allowPrinting")>
		<cfset statCounter = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounter")>
		<cfset statCounterProject = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterProject")>
		<cfset statCounterSecurity = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterSecurity")>
		<cfset statCounterPartition = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterPartition")>
		<cfset statCounterDomainHeader = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterDomainHeader")>
		<cfset googleAnalytics = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "googleAnalytics")>
		<cfset googleAnalyticsUACCT = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "googleAnalyticsUACCT")>
		<cfset showRelatedEntries = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "showRelatedEntries")>
		<cfset showSocialTools = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "showSocialTools")>
	
		<cffile action="READ" file="#request.path2site#\ini\badIPs.ini.cfm" variable="badIPs">
		<cffile action="READ" file="#request.path2site#\ini\badWords.ini.cfm" variable="badWords">
		<cffile action="READ" file="#request.path2site#\ini\pingURLs.ini.cfm" variable="pingURLs">
	</cfif>
</cfsilent>
<cfoutput>
	<cfif errMsg neq "">
		<div class="err">
			<cfloop index="err" list="#errMsg#" delimiters="|">
				<li>#err#</li>
			</cfloop>
		</div>
	</cfif>
	<form action="index.cfm" method="post">
		<input type="Hidden" name="action" value="settings.update">
		<fieldset id="Blog">
			<legend><strong>:.. Blog General ..:</strong></legend>
			<table border="0" cellpadding="2" cellspacing="1">
				<tr>
					<td align="right"><label for="title"><strong>Blog Title:</strong></label></td>
					<td><input type="text" id="title" name="title" value="#title#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="burl"><strong>Blog URL:</strong></label></td>
					<td><input type="text" id="burl" name="burl" value="#burl#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="description"><strong>Blog Description:</strong></label></td>
					<td><input type="text" id="description" name="description" value="#description#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="keywords"><strong>Blog Keywords:</strong></label></td>
					<td><input type="text" id="keywords" name="keywords" value="#keywords#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="urlUserName"><strong>Username used when doing cache refreshing:</strong></label></td>
					<td><input type="text" id="urlUserName" name="urlUserName" value="#urlUserName#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="urlPassword"><strong>Password used when doing cache refreshing:</strong></label></td>
					<td><input type="text" id="urlPassword" name="urlPassword" value="#urlPassword#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="postNumb"><strong>Posts Per Page:</strong></label></td>
					<td><input type="text" id="postNumb" name="postNumb" value="#postNumb#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="commentsNumb"><strong>Comments Per Page:</strong></label></td>
					<td><input type="text" id="commentsNumb" name="commentsNumb" value="#commentsNumb#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="postLen"><strong>Post Length:</strong></label></td>
					<td>
						<select name="postLen" id="postLen">
							<option value="Entire">Entire
							<option value="100"<cfif postLen eq 100> selected</cfif>>100
							<option value="150"<cfif postLen eq 150> selected</cfif>>150
							<option value="200"<cfif postLen eq 200> selected</cfif>>200
							<option value="250"<cfif postLen eq 250> selected</cfif>>250
							<option value="300"<cfif postLen eq 300> selected</cfif>>300
							<option value="350"<cfif postLen eq 350> selected</cfif>>350
							<option value="400"<cfif postLen eq 400> selected</cfif>>400
							<option value="450"<cfif postLen eq 450> selected</cfif>>450
							<option value="500"<cfif postLen eq 500> selected</cfif>>500
							<option value="550"<cfif postLen eq 550> selected</cfif>>550
							<option value="600"<cfif postLen eq 600> selected</cfif>>600
							<option value="650"<cfif postLen eq 650> selected</cfif>>650
							<option value="700"<cfif postLen eq 700> selected</cfif>>700
							<option value="750"<cfif postLen eq 750> selected</cfif>>750
							<option value="800"<cfif postLen eq 800> selected</cfif>>800
							<option value="850"<cfif postLen eq 850> selected</cfif>>850
							<option value="900"<cfif postLen eq 900> selected</cfif>>900
							<option value="950"<cfif postLen eq 950> selected</cfif>>950
							<option value="1000"<cfif postLen eq 1000> selected</cfif>>1000
						</select>
					</td>
				</tr>
				<tr>
					<td align="right"><label for="offset"><strong>Offset:</strong></label></td>
					<td><input type="text" id="offset" name="offset" value="#offset#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="locale"><strong>Locale:</strong></label></td>
					<td><input type="text" id="locale" name="locale" value="#locale#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="allowPrinting"><strong>Allow Printing:</strong></label></td>
					<td><input type="checkbox" id="allowPrinting" name="allowPrinting" value="1"<cfif Val(allowPrinting) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right" valign="top"><label for="pingURLs"><strong>Ping URLs:</strong></label></td>
					<td><textarea name="pingURLs" rows="7" cols="38" id="pingURLs">#pingURLs#</textarea></td>
				</tr>
			</table>
		</fieldset>
		<fieldset id="eMail">
			<legend><strong>:.. eMail ..:</strong></legend>
			<table border="0" cellpadding="2" cellspacing="1">
				<tr>
					<td align="right"><label for="email"><strong>Owner Email:</strong></label></td>
					<td><input type="text" id="email" name="email" value="#email#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="mailserver"><strong>Mail Server:</strong></label></td>
					<td><input type="text" id="mailserver" name="mailserver" value="#mailserver#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="mailusername"><strong>Mail Username:</strong></label></td>
					<td><input type="text" id="mailusername" name="mailusername" value="#mailusername#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="mailpassword"><strong>Mail Password:</strong></label></td>
					<td><input type="text" id="mailpassword" name="mailpassword" value="#mailpassword#" size="50"></td>
				</tr>
			</table>
		</fieldset>
		<fieldset id="Database">
			<legend><strong>:.. Database ..:</strong></legend>
			<table border="0" cellpadding="2" cellspacing="1">
				<tr>
					<td align="right"><label for="dsn"><strong>DSN:</strong></label></td>
					<td><input type="text" id="dsn" name="dsn" value="#dsn#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="dsnUsername"><strong>DB Username:</strong></label></td>
					<td><input type="text" id="dsnUsername" name="dsnUsername" value="#dsnUsername#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="dsnPassword"><strong>DB Password:</strong></label></td>
					<td><input type="text" id="dsnPassword" name="dsnPassword" value="#dsnPassword#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="dbType"><strong>DB Type:</strong></label></td>
					<td>
						<Select name="dbType" id="dbType">
							<option value="MSSQL"<cfif dbType eq "MSSQL"> selected</cfif>>MSSQL
						</select>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset id="Cache">
			<legend><strong>:.. Cache ..:</strong></legend>
			<table border="0" cellpadding="2" cellspacing="1">
				<tr>
					<td align="right"><label for="cacheMechanism"><strong>Path To Cache Mechanism:</strong></label></td>
					<td><input type="text" id="cacheMechanism" name="cacheMechanism" value="#cacheMechanism#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="topEntries"><strong>Cached Entries by Top Views:</strong></label></td>
					<td><input type="text" id="topEntries" name="topEntries" value="#Val(topEntries)#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="periodAccesses"><strong>View per period for smart caching:</strong></label></td>
					<td><input type="text" id="periodAccesses" name="periodAccesses" value="#Val(periodAccesses)#" size="50"></td>
				</tr>
				<tr>
					<td align="right"><label for="periodAccessesType"><strong>Smart Cache Period:</strong></label></td>
					<td>
						<select id="periodAccessesType" name="periodAccessesType">
							<option value="d"<cfif periodAccessesType eq "d"> selected</cfif>> Day 
							<option value="h"<cfif periodAccessesType eq "h"> selected</cfif>> Hour 
							<option value="n"<cfif periodAccessesType eq "n"> selected</cfif>> Minute 
						</select>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset id="Addons">
			<legend><strong>:.. Addons ..:</strong></legend>
			<table border="0" cellpadding="2" cellspacing="1">
				<tr>
					<td align="right"><label for="showSocialTools"><strong>Show Social Tools:</strong></label></td>
					<td><input type="checkbox" id="showSocialTools" name="showSocialTools" value="1"<cfif Val(showSocialTools) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="useCaptcha"><strong>Use Lyla Captcha:</strong></label></td>
					<td><input type="checkbox" id="useCaptcha" name="useCaptcha" value="1"<cfif Val(useCaptcha) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="useGravatar"><strong>Allow Gravatars:</strong></label></td>
					<td><input type="checkbox" id="useGravatar" name="useGravatar" value="1"<cfif Val(useGravatar) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="entrySmilesConverter"><strong>Allow Entry Smiles Converter:</strong></label></td>
					<td><input type="checkbox" id="entrySmilesConverter" name="entrySmilesConverter" value="1"<cfif Val(entrySmilesConverter) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="commentSmilesConverter"><strong>Allow Comment Smiles Converter:</strong></label></td>
					<td><input type="checkbox" id="commentSmilesConverter" name="commentSmilesConverter" value="1"<cfif Val(commentSmilesConverter) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="showRelatedEntries"><strong>Show Related Entries:</strong></label></td>
					<td><input type="checkbox" id="showRelatedEntries" name="showRelatedEntries" value="1"<cfif Val(showRelatedEntries) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="popularity"><strong>Show Popularity:</strong></label></td>
					<td><input type="checkbox" id="popularity" name="popularity" value="1"<cfif Val(popularity) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right"><label for="rating"><strong>Show Rating:</strong></label></td>
					<td><input type="checkbox" id="rating" name="rating" value="1"<cfif Val(rating) eq 1> checked</cfif>></td>
				</tr>
				<tr>
					<td align="right" valign="top"><label for="statCounter"><strong>Use StatCounter:</strong></label></td>
					<td><input type="checkbox" id="statCounter" name="statCounter" value="1"<cfif Val(statCounter) eq 1> checked</cfif>>
						<label for="statCounterProject"><strong>Project ID:</strong></label>&nbsp;
						<input type="text" id="statCounterProject" name="statCounterProject" value="#statCounterProject#" size="7">&nbsp;
						<label for="statCounterSecurity"><strong>Security ID:</strong></label>&nbsp;
						<input type="text" id="statCounterSecurity" name="statCounterSecurity" value="#statCounterSecurity#" size="7">
						<br>
						<label for="statCounterPartition"><strong>Partition:</strong></label>
						<input type="text" id="statCounterPartition" name="statCounterPartition" value="#statCounterPartition#" size="7">&nbsp;
						<label for="statCounterDomainHeader"><strong>Domain Header:</strong></label>&nbsp;
						<input type="text" id="statCounterDomainHeader" name="statCounterDomainHeader" value="#statCounterDomainHeader#" size="7"><em>(<strong><u>XX</u></strong>.statcounter.com)</em>
					</td>
				</tr>
				<tr>
					<td align="right"><label for="googleAnalytics"><strong>Use Google Analytics:</strong></label></td>
					<td><input type="checkbox" id="googleAnalytics" name="googleAnalytics" value="1"<cfif Val(googleAnalytics) eq 1> checked</cfif>>
						<label for="googleAnalyticsUACCT"><strong>UACCT:</strong></label>&nbsp;
						<input type="text" id="googleAnalyticsUACCT" name="googleAnalyticsUACCT" value="#googleAnalyticsUACCT#" size="37">
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset id="FireWall">
			<legend><strong>:.. FireWall ..:</strong></legend>
			<table border="0" cellpadding="2" cellspacing="1">
				<tr>
					<td align="right" valign="top"><label for="badIPs"><strong>Bad IPs:</strong></label></td>
					<td><textarea name="badIPs" rows="7" cols="38" id="badIPs">#badIPs#</textarea></td>
				</tr>
				<tr>
					<td align="right" valign="top"><label for="badWords"><strong>Bad Words:</strong></label></td>
					<td><textarea name="badWords" rows="7" cols="38" id="badWords">#badWords#</textarea></td>
				</tr>
			</table>
		</fieldset>
		<table border="0" cellpadding="2" cellspacing="1">
			<tr>
				<td align="right" colspan="2">
					<input type="Submit" value="    Save    ">
				</td>
			</tr>
		</table>
	</form>
</cfoutput>