<cfparam name="id" default="0">
<cfparam name="errMsg" default="">
<cfif errMsg eq "">
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPages" datasource="#application.dsn#">
		Select id, dateAdded, isActive, title, page, position, menuName, isCached, cachedTill
		From onessBlog_staticPages
		Where id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
	</cfquery>
	<cfparam name="title" default="#getPages.title#">
	<cfparam name="page" default="#getPages.page#">
	<cfparam name="dateAdded" default="#getPages.dateAdded#">
	<cfparam name="isActive" default="#getPages.isActive#">
	<cfparam name="position" default="#getPages.position#">
	<cfparam name="menuName" default="#getPages.menuName#">
	<cfparam name="isCached" default="#getPages.isCached#">
	<cfparam name="cachedTill" default="#getPages.cachedTill#">
</cfif>
<cfoutput>
	<cfif errMsg neq "">
		<div class="err">
			<cfloop index="err" list="#errMsg#" delimiters="|">
				<li>#err#</li>
			</cfloop>
		</div>
	</cfif>
	<form action="index.cfm" method="post">
		<input type="Hidden" name="action" value="staticPages.save">
		<input type="Hidden" name="id" value="#id#">
		<table>
			<tr>
				<td align="right"><label for="isActive"><strong>Active:</strong></label></td>
				<td><input type="Checkbox" id="isActive" name="isActive" value="1"<cfif isActive eq 1> checked</cfif>></td>
			</tr>
			<tr>
				<td align="right"><label for="position"><strong>Position:</strong></label></td>
				<td><input type="Text" id="position" name="position" value="#position#" maxlength="50"></td>
			</tr>
			<tr>
				<td align="right"><label for="menuName"><strong>Menu Name:</strong></label></td>
				<td><input type="Text" id="menuName" name="menuName" value="#menuName#" maxlength="50"></td>
			</tr>
			<tr>
				<td align="right"><label for="title"><strong>Title:</strong></label></td>
				<td><input type="Text" id="title" name="title" value="#title#" maxlength="150"></td>
			</tr>
			<tr>
				<td align="right"><label for="isCached">Is Cached:</label></td>
				<td><input type="Checkbox" id="isCached" name="isCached" value="1"<cfif Val(isCached)> checked</cfif>></td>
			</tr>
			<tr>
				<td align="right"><label for="cachedTill">Cached Till:</label></td>
				<td><input type="Text" id="cachedTill" name="cachedTill" value="#cachedTill#" maxlength="100" size="30"> <em><u>Format:</u> 05/03/2008 06:54 PM</em></td>
			</tr>
			<tr>
				<td align="right" valign="top"><label for="page">Page Body:</label></td>
				<td><textarea name="page" cols="45" rows="10" id="page">#page#</textarea></td>
			</tr>
			<tr>
				<td colspan="2" align="right"><input type="Submit" value=" Save "></td>
			</tr>
		</table>
	</form>
</cfoutput>

