<cfset errMsg = "">
<cfparam name="id" default="0">
<cfparam name="title" default="">
<cfparam name="page" default="">
<cfparam name="isActive" default="0">
<cfparam name="position" default="0">
<cfparam name="menuName" default="">
<cfparam name="isCached" default="0">

<cfif menuName eq "">
	<cfset errMsg = ListAppend(errMsg, "Please enter Menu Name", "|")>
</cfif>
<cfif title eq "">
	<cfset errMsg = ListAppend(errMsg, "Please enter Page Title", "|")>
</cfif>
<cfif page eq "">
	<cfset errMsg = ListAppend(errMsg, "Please enter Page Content", "|")>
</cfif>
<cfif Val(position) eq 0>
	<cfset errMsg = ListAppend(errMsg, "Please enter valid Page Position", "|")>
</cfif>
<cfif isCached eq 1 and (Trim(cachedTill) eq "" or not IsValid("date", cachedTill))>
	<cfset errMsg = ListAppend(errMsg, "Please enter a valid Cached Till date", "|")>
</cfif>

<cfif errMsg eq "">
	<cfset alias = Replace(ReReplace(title, '[^0-9a-zA-Z ]', '', 'All'), ' ', '-', 'All')>
	<cfif Val(id) eq 0>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="ins" datasource="#application.dsn#">
			Insert Into onessBlog_staticPages
				(
					title
					, page
					, alias
					, isActive
					, dateAdded
					, position
					, menuName
					, isCached
					<cfif isCached eq 1>
						, cachedTill
					</cfif>
				)
			Values
				(
					<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(title), 150)#">
					, '#page#'
					, <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(alias), 50)#">
					, <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isActive)#">
					, GetDate()
					, <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(position)#">
					, <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(menuName), 50)#">
					, <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isCached)#">
					<cfif isCached eq 1>
						, '#cachedTill#'
					</cfif>
				)
		</cfquery>
	<cfelse>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="upd" datasource="#application.dsn#">
			Update onessBlog_staticPages
			Set title = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(title), 150)#">
				, page = '#page#'
				, alias = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(alias), 50)#">
				, isActive = <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isActive)#">
				, position = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(position)#">
				, menuName = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(menuName), 50)#">
				, isCached = <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isCached)#">
				<cfif isCached eq 1>
					, cachedTill = '#cachedTill#'
				</cfif>
			Where id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
		</cfquery>
	</cfif>
	<cflocation addtoken="No" url="index.cfm?action=staticPages">
</cfif>
