<cfsetting enablecfoutputonly="Yes" showdebugoutput="No">
<cfparam name="id" default="0">
<cfparam name="from_record" default="1">
<cfif Val(id)>
	<cfsilent>
		<cfset found_records = 0>
		<cfif from_record lte 0>
			<cfset from_record = 1>
		</cfif>
		
		<cfstoredproc datasource="#application.dsn#" procedure="sp_getComments" username="#application.dsnUsername#" password="#application.dsnPassword#">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#id#" dbvarname="@entry_id">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#from_record#" dbvarname="@from_record">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#application.commentsNumb#" dbvarname="@total_records">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="Out" dbvarname="@found_records" variable="found_records">
			
			<cfprocresult resultset="1" name="getComments">
		</cfstoredproc>

		<cfset post = application.cacheObj.cacheGetElement("posts.#Val(id)#")>
		<cfif IsStruct(post)>
			<cfset title = post.title>
			<cfset commentsNumb = post.commentsNumb>
		<cfelse>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getEntry" datasource="#application.dsn#">
				Select subject, commentsNumb, alias
				From onessBlog_entries
				Where entry_id = #Val(id)#
					and is_active = 1
					and posted <= GetDate()
			</cfquery>
			<cfif getEntry.RecordCount>
				<cfset title = getEntry.subject>
				<cfset commentsNumb = Val(getEntry.commentsNumb)>
			<cfelse>
				<cfabort>
			</cfif>
		</cfif>
		<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#id#/#getEntry.alias#">
	</cfsilent>

	<cfif found_records gt application.commentsNumb>
		<cfif from_record gt found_records>
			<cfset from_record = 1>
		</cfif>
		<cfset followLink = "index.cfm?action=posts.nextComments&id=#id#&rnd=#RandRange(1,99999)#&loadContent=true">
		<cfoutput><div class="nav">#application.funcObj.pagingAJAX(found_records, application.commentsNumb, from_record, followLink, "from_record", 5, 15, "comments")#</div><br clear="all" /></cfoutput>
	</cfif>

	<cfloop query="getComments">
		<cfoutput>
			<div id="comment_#id#" <cfif CurrentRow mod 2>class="comment"<cfelse>class="commentAlt"</cfif>>
				<div class="commentBody"><cfif application.useGravatar><img src="http://www.gravatar.com/avatar.php?gravatar_id=#LCase(Hash(email))#&amp;rating=PG&amp;size=40&amp;default=#application.burl#/images/gravatar.gif" /> </cfif><cfif application.commentSmilesConverter>#application.funcObj.renderEntry(application.funcObj.smilesConverter(comment))#<cfelse>#application.funcObj.renderEntry(comment)#</cfif></div>
				<div class="commentByLine">
					<a href="#lnk###comment_#id#">##</a> Posted By 
					<cfif Len(link)><a href="#link#" rel="nofollow">#name#</a><cfelse>#name#</cfif>
					| #DateFormat(dateAdded, "mmm dd, yyyy")# #TimeFormat(dateAdded, "H:mm tt")#
				</div>
			</div><br />
		</cfoutput>
	</cfloop>
</cfif>
<cfsetting enablecfoutputonly="No">
