<cfset postsList = application.cacheObj.cacheGetElement("postsList")>
<cfif Len(postsList)>
	<cfset totalPosts = application.cacheObj.cacheGetElement("totalPosts")>
	<cfset viewsComments = application.funcObj.getViewsComments()>
	<cfset thisEntryIndex = 0>
	<div class="entries" id="entries">
		<cfloop index="postsIndx" list="#postsList#">
			<cfset posts = application.cacheObj.cacheGetElement("posts.#postsIndx#")>
			<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#posts.id#/#posts.alias#">
			<cfset thisEntryIndex = thisEntryIndex + 1>
			<cfoutput>
				<div class="entry">
					<div><a class="postTitle" href="#lnk#">#posts.title#</a></div><br />
					<div class="postDetails">
						Posted At : #DateFormat(posts.date, "mmm dd, yyyy")# #TimeFormat(posts.date, "H:mm tt")#
						| Posted By : #posts.author#<br/>
						<cfsilent>
							<cfset cats = posts.categories>
							<cfset catsAlias = posts.categoriesAlias>
							<cfset catsIDs = posts.categoriesIDs>
							<cfset catsNumb = ListLen(cats, Chr(1))>
						</cfsilent>
						Related Categories:	
						<cfloop index="catsIndx" from="1" to="#catsNumb#">
							<cfsilent>
								<cfset currentCat = ListGetAt(cats, catsIndx, Chr(1))>
								<cfset currentCatAlias = ListGetAt(catsAlias, catsIndx, Chr(1))>
								<cfset currentCatID = ListGetAt(catsIDs, catsIndx, ",")>
							</cfsilent>
							<a href="#application.burl#/index.cfm/action:posts.byCat/cat_id:#currentCatID#/#currentCatAlias#">#currentCat#</a><cfif catsIndx lt catsNumb>, </cfif>
						</cfloop>
					</div><br />
					<div class="postContent"><cfif application.postLen eq "Entire">#posts.content#<cfelse>#Left(ReReplace(posts.content, "<[^>]*>", "", "all"), Val(application.postLen))#...</cfif></div><br />
					<div class="postStats">
					<cfif posts.enable_comments eq 1><img src="images/comment.gif" align="middle" title="Comments"/> <a href="#lnk###comments">Comments (#posts.commentsNumb#)</a> | </cfif>
					<cfif application.isColdFusionMX7 and application.allowPrinting><img src="images/printer.gif" align="middle" title="Print" height="16" width="16"/> <a href="index.cfm/action:posts.entry/print=true/id:#posts.id#/#posts.alias#" rel="nofollow" target="_blank">Print</a> | </cfif>
					<img src="images/email.gif" align="middle" title="Send" height="16" width="16"/> <a href="index.cfm/action:posts.send/id:#posts.id#/#posts.alias#" rel="nofollow">Send</a> 
					| #posts.viewsNumb# Views
					<cfif application.popularity> | #Round(100*Val(posts.viewsNumb)/viewsComments.views)#% / #Round(100*Val(posts.commentsNumb)/viewsComments.comments)#% Popularity</cfif>
					</div>
				</div>
				<br />
			</cfoutput>
			<cfif thisEntryIndex eq application.postNumb>
				<cfbreak>
			</cfif>
		</cfloop>
		<cfif ListLen(postsList) lt totalPosts>
			<cfoutput><div class="nav"><a href="javascript:makeGETRequest('index.cfm?action=posts.nextEntries&rnd=#RandRange(1,99999)#&loadContent=true&from_record=#application.postNumb+1#', 'entries')">MORE >></a></div></cfoutput>
		</cfif>
	</div>
</cfif>

