<cfsilent>
	<cfparam name="id" default="0">
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getEntry" datasource="#application.dsn#">
		Select subject as title
		From onessBlog_entries
		Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
			and is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			and posted <= GetDate()
	</cfquery>
</cfsilent>
<cfif getEntry.RecordCount>
	<cfoutput>
		<div class="postTitle">Send Entry: #getEntry.title#</div><br />
		<div class="postContent">Please fill out the form below to send the blog entry to a friend.</div><br />
		<div class="commentForm">
			<cfif not IsDefined("errMsg") or Len(errMsg) eq 0>
				<cfsilent>
					<cfparam name="email" default="">
					<cfparam name="remail" default="">
					<cfparam name="comment" default="">
					<cfparam name="captchaText" default="">
				</cfsilent>
			<cfelse>
				<div class="errorMsg">
					<cfloop index="el" list="#errMsg#" delimiters="|">
						<li>#el#</li>
					</cfloop>
				</div>
			</cfif>
			<cfform name="commentFrm" action="index.cfm" method="post">
				<input name="action" type="Hidden" value="posts.sendProcess" />
				<input name="id" type="Hidden" value="#Val(id)#" />
				<table>
					<tr>
						<td><label for="email">Your Email Address:</label></td>
						<td><cfinput name="email" id="email" type="text" value="#email#" maxlength="100" size="30" required="Yes" message="Please enter your email address" /></td>
					</tr>
					<tr>
						<td><label for="remail">Receiver Email Address:</label></td>
						<td><cfinput name="remail" id="remail" type="text" value="#remail#" maxlength="100" size="30" required="Yes" message="Please enter receiver email address" /></td>
					</tr>
					<tr>
						<td colspan="2"><label for="comment">Optional Notes:</label></td>
					</tr>
					<tr>
						<td colspan="2"><textarea name="comment" id="comment" rows="7" cols="60">#comment#</textarea></td>
					</tr>
					<cfif application.useCaptcha>
						<cfset captcha = application.captcha.createHashReference() />
						<input type="hidden" name="captchaHash" value="#captcha.hash#" />
						<tr>
							<td><label for="captchaText">  Enter text that you see in the image:</label></td>
							<td><input type="text" name="captchaText" size="6" value="" /></td>
						</tr>
						<tr>
							<td colspan="2"><img src="index.cfm?action=showCaptcha&hashReference=#captcha.hash#" align="right" vspace="5"/></td>
						</tr>
					</cfif>
					<tr>
						<td colspan="2" align="right"><input type="Submit" value=" Send Entry " /></td>
					</tr>
				</table>
			</cfform>
		</div>
	</cfoutput>
<cfelse>
	No such entry exists.
</cfif>

