<cfprocessingdirective pageencoding="utf-8">
<!---
	Name         : slideshow.cfm
	Author       : Raymond Camden 
	Created      : August 18, 2006
	Last Updated : December 14, 2006
	History      : Added metadata support (rkc 9/5/06)
				 : Support for getting slide show dir From CFC (rkc 12/14/06)
	Purpose		 : Slide Show
	Changes		 : by Ed Tabara for 1ssBlog
--->
<cfif not IsDefined("slideshowdir")>
	<cfset slideshowdir = listLast(cgi.path_info, "/")>
</cfif>

<cfif not len(slideshowdir)>
	<cflocation url="#request.burl#/index.cfm" addToken="false">
</cfif>

<cfset directory = "#request.path2site#/images/slideshows/#slideshowdir#">

<cfif not directoryExists(directory)>
	<cflocation url="#request.burl#/index.cfm" addToken="false">
</cfif>

<cfset metadata = application.slideshow.getInfo(directory)>
<cfset images = application.slideshow.getImages(directory)>

<cfif not images.recordCount>
	<cflocation url="#request.burl#/index.cfm" addToken="false">
</cfif>

<cfparam name="slide" default="1">

<cfif not isNumeric(slide) or slide lte 0 or slide gt images.recordCount or round(slide) neq slide>
	<cfset slide = 1>
</cfif>

<cfif len(metadata.formalname)>
	<cfset title = "Slideshow - #metadata.formalname#">
<cfelse>
	<cfset title = "Slideshow">
</cfif>

	<cfoutput>
	<div class="date"><b>#title# - Picture #slide# of #images.recordCount#</b></div>
	<div class="body">
	<p align="center">
	<img src="#request.burl#/images/slideshows/#slideshowdir#/#images.name[slide]#"><br />
	<cfif structKeyExists(metadata.images, images.name[slide])>
	<b>#metadata.images[images.name[slide]]#</b><br />
	</cfif>
	<cfif slide gt 1>
	<a href="#request.burl#/index.cfm/action:slideshow/slideshowdir:#slideshowdir#/slide:#decrementValue(slide)#">Previous</a>
	<cfelse>
	Previous
	</cfif> 
	~ 
	<cfif slide lt images.recordCount>
	<a href="#request.burl#/index.cfm/action:slideshow/slideshowdir:#slideshowdir#/slide:#incrementValue(slide)#">Next</a>
	<cfelse>
	Next
	</cfif> 
	
	</p>
	</div>
	</cfoutput>
